{
  "name": "shalu-system-design",
  "private": true,
  "scripts": {
    "build": "turbo build",
    "dev": "turbo dev",
    "lint": "turbo lint",
    "format": "prettier --write \"**/*.{ts,tsx,md}\""
  },
  "devDependencies": {
    "@umijs/plugins": "^4.3.19",
    "prettier": "^3.3.3",
    "turbo": "^2.1.1",
    "typescript": "^5.4.5"
  },
  "packageManager": "pnpm@8.15.6",
  "engines": {
    "node": ">=18"
  },
  "dependencies": {
    "@ant-design/icons": "^5.4.0",
    "@ant-design/pro-components": "^2.7.15",
    "@antv/hierarchy": "^0.6.14",
    "@antv/x6": "^2.x",
    "@antv/x6-plugin-clipboard": "^2.1.6",
    "@antv/x6-plugin-dnd": "^2.1.1",
    "@antv/x6-plugin-export": "^2.1.6",
    "@antv/x6-plugin-history": "^2.2.4",
    "@antv/x6-plugin-keyboard": "^2.2.3",
    "@antv/x6-plugin-minimap": "^2.0.7",
    "@antv/x6-plugin-scroller": "^2.0.10",
    "@antv/x6-plugin-selection": "^2.2.2",
    "@antv/x6-plugin-snapline": "^2.1.7",
    "@antv/x6-plugin-transform": "^2.1.8",
    "@antv/x6-react-shape": "^2.2.3",
    "@codemirror/lang-angular": "^0.1.3",
    "@codemirror/lang-css": "^6.3.0",
    "@codemirror/lang-go": "^6.0.1",
    "@codemirror/lang-html": "^6.4.9",
    "@codemirror/lang-java": "^6.0.1",
    "@codemirror/lang-javascript": "^6.2.2",
    "@codemirror/lang-json": "^6.0.1",
    "@codemirror/lang-php": "^6.0.1",
    "@codemirror/lang-python": "^6.1.6",
    "@codemirror/lang-rust": "^6.0.1",
    "@codemirror/lang-sql": "^6.7.1",
    "@codemirror/lang-vue": "^0.1.3",
    "@codemirror/lang-xml": "^6.1.0",
    "@codemirror/lang-yaml": "^6.1.1",
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/modifiers": "^9.0.0",
    "@dnd-kit/sortable": "^10.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "@emotion/css": "^11.13.0",
    "@types/lodash-es": "^4.17.12",
    "@uiw/react-codemirror": "^4.23.3",
    "@unocss/cli": "^0.62.3",
    "ahooks": "^3.8.1",
    "antd": "^5.23.0",
    "axios": "^1.7.7",
    "dayjs": "^1.11.13",
    "html2canvas": "^1.4.1",
    "insert-css": "^2.0.0",
    "lodash-es": "^4.17.21",
    "react-draggable": "^4.4.6",
    "thememirror": "^2.0.1",
    "umi": "^4.3.18",
    "unocss": "^0.62.3",
    "xlsx": "https://cdn.sheetjs.com/xlsx-0.20.3/xlsx-0.20.3.tgz"
  }
}
